<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:background="@drawable/background_red_blue"
    android:layout_height="match_parent">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clickable="true"
            tools:context=".ui.credits.CreditsFragment">

            <ImageView
                android:id="@drawable/backgroundoverlay"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="-17dp"
                android:layout_marginTop="-25dp"
                android:layout_marginEnd="-17dp"
                android:layout_marginBottom="-25dp"
                android:scaleType="centerCrop"
                android:src="@drawable/backgroundoverlay"
                app:layout_constraintBottom_toBottomOf="@+id/buttonvibration_switch"
                app:layout_constraintEnd_toEndOf="@+id/button_theme_green_yellow"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="@+id/button_theme_orange_turquoise"
                app:layout_constraintTop_toTopOf="@+id/themes"
                app:layout_constraintVertical_bias="0.0" />

            <TextView
                android:id="@+id/background"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/background"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider2" />

            <TextView
                android:id="@+id/themes"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="100dp"
                android:gravity="center_horizontal|left"
                android:text="@string/color_scheme"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/sprache"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/language"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider" />

            <TextView
                android:id="@+id/reset_settings"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/reset_settings"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider3" />

            <TextView
                android:id="@+id/import_export"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/import_export"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider4" />

            <TextView
                android:id="@+id/buttonvibration"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/hapticfeedback"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider10" />

            <TextView
                android:id="@+id/introanimation2"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/logoanimation"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/divider8" />

            <TextView
                android:id="@+id/animation_off"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/no"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="@+id/animation_switch"
                app:layout_constraintEnd_toStartOf="@+id/animation_switch"
                app:layout_constraintTop_toTopOf="@+id/animation_switch" />

            <TextView
                android:id="@+id/animation_off3"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/off"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="@+id/buttonvibration_switch"
                app:layout_constraintEnd_toStartOf="@+id/buttonvibration_switch"
                app:layout_constraintTop_toTopOf="@+id/buttonvibration_switch" />

            <TextView
                android:id="@+id/animation_off2"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/yes"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="@+id/animation_switch"
                app:layout_constraintStart_toEndOf="@+id/animation_switch"
                app:layout_constraintTop_toTopOf="@+id/animation_switch" />

            <TextView
                android:id="@+id/animation_off4"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:gravity="center_horizontal|left"
                android:text="@string/on"
                android:textAlignment="center"
                android:textColor="@color/mtrl_btn_text_color_selector"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="@+id/buttonvibration_switch"
                app:layout_constraintStart_toEndOf="@+id/buttonvibration_switch"
                app:layout_constraintTop_toTopOf="@+id/buttonvibration_switch" />

            <Button
                android:id="@+id/button_reset"
                android:layout_width="160dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_round"
                android:text="@string/button_reset"
                app:backgroundTint="@null"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/reset_settings" />

            <Button
                android:id="@+id/button_export"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginStart="15dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_round"
                android:text="@string/button_export"
                app:backgroundTint="@null"
                app:layout_constraintEnd_toEndOf="@+id/button_theme_yellow_blue"
                app:layout_constraintStart_toEndOf="@+id/button_import"
                app:layout_constraintTop_toBottomOf="@+id/import_export" />

            <Button
                android:id="@+id/button_import"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_round"
                android:text="@string/button_import"
                app:backgroundTint="@null"
                app:layout_constraintStart_toStartOf="@+id/button_theme_pink_green"
                app:layout_constraintTop_toBottomOf="@+id/import_export" />

            <Button
                android:id="@+id/button_theme_red_blue"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_theme_red_blue"
                android:text="@string/red_blue"
                app:backgroundTint="@null"
                app:layout_constraintBottom_toTopOf="@+id/button_theme_green_yellow"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/themes" />

            <Button
                android:id="@+id/button_theme_orange_turquoise"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/button_theme_orange_turquoise"
                android:text="@string/orange_turquoise"
                app:backgroundTint="@null"
                app:layout_constraintEnd_toStartOf="@+id/button_theme_green_yellow"
                app:layout_constraintStart_toStartOf="@+id/button_theme_red_blue"
                app:layout_constraintTop_toBottomOf="@+id/button_theme_red_blue" />

            <Button
                android:id="@+id/button_theme_yellow_blue"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_theme_yellow_blue"
                android:text="@string/yellow_blue"
                app:backgroundTint="@null"
                app:layout_constraintEnd_toEndOf="@+id/button_theme_green_yellow"
                app:layout_constraintTop_toBottomOf="@+id/button_theme_green_yellow" />

            <Button
                android:id="@+id/button_theme_pink_green"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:background="@drawable/button_theme_pink_green"
                android:text="@string/pink_green"
                app:backgroundTint="@null"
                app:layout_constraintStart_toStartOf="@+id/button_theme_orange_turquoise"
                app:layout_constraintTop_toTopOf="@+id/button_theme_yellow_blue" />

            <Button
                android:id="@+id/button_theme_green_yellow"
                android:layout_width="140dp"
                android:layout_height="55dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_theme_green_yellow"
                android:text="@string/green_yellow"
                app:backgroundTint="@null"
                app:layout_constraintEnd_toEndOf="@+id/button_theme_red_blue"
                app:layout_constraintStart_toEndOf="@+id/button_theme_orange_turquoise"
                app:layout_constraintTop_toBottomOf="@+id/button_theme_red_blue" />

            <Button
                android:id="@+id/button_language"
                android:layout_width="160dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_round"
                android:text="@string/language"
                app:backgroundTint="@null"
                app:layout_constraintBottom_toTopOf="@+id/divider3"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/sprache" />

            <Button
                android:id="@+id/button_pickimage"
                android:layout_width="160dp"
                android:layout_height="55dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/button_round"
                android:text="@string/button_choose_background"
                app:backgroundTint="@null"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/background" />

            <View
                android:id="@+id/divider"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/divider2"
                app:layout_constraintStart_toStartOf="@+id/divider2"
                app:layout_constraintTop_toBottomOf="@+id/button_pickimage" />

            <View
                android:id="@+id/divider2"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/button_theme_yellow_blue"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="@+id/button_theme_pink_green"
                app:layout_constraintTop_toBottomOf="@+id/button_theme_pink_green" />

    <View
        android:id="@+id/divider3"
        android:layout_width="0dp"
        android:layout_height="2dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/background_full"
        app:layout_constraintEnd_toEndOf="@+id/divider"
        app:layout_constraintStart_toStartOf="@+id/divider"
        app:layout_constraintTop_toBottomOf="@+id/button_language" />

            <View
                android:id="@+id/divider4"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/divider"
                app:layout_constraintStart_toStartOf="@+id/divider"
                app:layout_constraintTop_toBottomOf="@+id/button_reset" />

            <View
                android:id="@+id/divider8"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/divider"
                app:layout_constraintStart_toStartOf="@+id/divider"
                app:layout_constraintTop_toBottomOf="@+id/button_export" />

            <View
                android:id="@+id/divider10"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/background_full"
                app:layout_constraintEnd_toEndOf="@+id/divider"
                app:layout_constraintStart_toStartOf="@+id/divider"
                app:layout_constraintTop_toBottomOf="@+id/animation_switch" />

            <Space
                android:id="@+id/space"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="50dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/buttonvibration_switch" />

            <Switch
                android:id="@+id/buttonvibration_switch"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/buttonvibration" />

            <Switch
                android:id="@+id/animation_switch"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/introanimation2" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>